Subject: categories: Question on subobject classifiers

From: Michael Barr <[email-masked]>
Date: Sat, 12 Jun 1999 09:04:33 -0400 (EDT)

I am reviewing a paper whose main result sounds like it ought to be known.
Is it and can anyone give me a citation?

Let E be a cocomplete category with a small dense subcategory C (so every
e of E is the colimit of C/e --> E).  Then an object \Omega of E is a
subobject classifier in E iff it represents the subobject functor
restricted to C.

-------------------------------------------------------------------
If a society puts up with bad plumbers because plumbing is such a low
calling, and if it puts up with bad philosophers because philosophy is
such a high calling---then neither its pipes nor its theories will hold
water.  --- Slight paraphrase of former HEW secretary John Gardner